> For a complete page index, fetch https://developer.close.com/llms.txt

# Update an organization

PUT https://api.close.com/api/v1/organization/{id}/
Content-Type: application/json

Reference: https://developer.close.com/api/resources/organizations/update

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `_expand` (string, optional)

### Body (application/json)

- `currency` (string, optional) — Default currency as a three-letter [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) currency code.
- `enable_unsubscribe_link` (boolean, optional) — Enable the unsubscribe link by default in new email templates.
- `lead_statuses` (list of object, optional) — The organization's lead statuses. Provide the full list in the desired order to reorder them.
  - `id` (string, optional) — ID of an existing lead status.
  - `label` (string, optional) — Label of the lead status.
- `name` (string, optional) — The organization's name.
- `require_unsubscribe_link` (boolean, optional) — Require an unsubscribe link in Bulk Emails and Workflows.

## Response

### 200

Successful response

## Examples

**Request**

```json
{
  "currency": "USD",
  "lead_statuses": [
    {
      "id": "stat_8ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk"
    },
    {
      "id": "stat_3ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk"
    },
    {
      "id": "stat_2ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk"
    },
    {
      "id": "stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk"
    }
  ],
  "name": "New Name"
}
```

**Response**

```json
{
  "created_by": null,
  "currency": "USD",
  "currency_symbol": "$",
  "date_created": "2013-02-01T00:54:51.097000+00:00",
  "date_updated": "2013-02-20T04:38:01.961000+00:00",
  "id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
  "lead_statuses": [
    {
      "id": "stat_8ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk",
      "label": "Not Serious"
    },
    {
      "id": "stat_3ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk",
      "label": "Qualified"
    },
    {
      "id": "stat_2ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk",
      "label": "Bad Fit"
    },
    {
      "id": "stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk",
      "label": "Potential"
    }
  ],
  "memberships": [
    {
      "auto_record_calls": "unset",
      "id": "memb_wLKueFux8M2u2jshQPichvA5V44hpECtoljWbJS1PeY",
      "permissions_granted": [
        "bulk_edit",
        "export"
      ],
      "role_id": "role_y6eLquXvRUdmwqi61tsmgCJUU7uGfxaRbDuLoONZL9p",
      "track_email_opens": true,
      "user_email": "phil+sample@close.com",
      "user_first_name": "P",
      "user_full_name": "John Doe",
      "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "user_last_name": "F",
      "user_phone": "16502822245"
    }
  ],
  "name": "New Name",
  "pipelines": [
    {
      "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
      "date_created": "2019-11-04T11:04:13.014979",
      "date_updated": "2019-11-13T14:12:13.051542",
      "id": "pipe_6gV01if4wo7r2YTVQDWP2j",
      "name": "Sales",
      "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
      "statuses": [
        {
          "id": "stat_3PB2sedHBCjwuBImAEwgHOo858f2j41lpROkcl51Fzp",
          "label": "Active",
          "type": "active"
        },
        {
          "id": "stat_IOCtLYbAclJ8XAcb3yLUhQA3zlmjtXz8JMBLyXnNMF8",
          "label": "Won",
          "type": "won"
        },
        {
          "id": "stat_3mmBOyMmaG8yc4DmAPp9WmgbjhVctVLlnd9gmvWxBe2",
          "label": "Lost",
          "type": "lost"
        }
      ],
      "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
    }
  ],
  "plan_type": "lite",
  "updated_by": null
}
```

**SDK Code**

```python organizations_update_example
import requests

url = "https://api.close.com/api/v1/organization/id/"

payload = {
    "currency": "USD",
    "lead_statuses": [{ "id": "stat_8ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk" }, { "id": "stat_3ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk" }, { "id": "stat_2ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk" }, { "id": "stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk" }],
    "name": "New Name"
}
headers = {
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript organizations_update_example
const url = 'https://api.close.com/api/v1/organization/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {
  method: 'PUT',
  headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'},
  body: '{"currency":"USD","lead_statuses":[{"id":"stat_8ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk"},{"id":"stat_3ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk"},{"id":"stat_2ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk"},{"id":"stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk"}],"name":"New Name"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go organizations_update_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/organization/id/"

	payload := strings.NewReader("{\n  \"currency\": \"USD\",\n  \"lead_statuses\": [\n    {\n      \"id\": \"stat_8ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    },\n    {\n      \"id\": \"stat_3ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    },\n    {\n      \"id\": \"stat_2ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    },\n    {\n      \"id\": \"stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    }\n  ],\n  \"name\": \"New Name\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby organizations_update_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/organization/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"currency\": \"USD\",\n  \"lead_statuses\": [\n    {\n      \"id\": \"stat_8ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    },\n    {\n      \"id\": \"stat_3ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    },\n    {\n      \"id\": \"stat_2ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    },\n    {\n      \"id\": \"stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    }\n  ],\n  \"name\": \"New Name\"\n}"

response = http.request(request)
puts response.read_body
```

```java organizations_update_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.close.com/api/v1/organization/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"currency\": \"USD\",\n  \"lead_statuses\": [\n    {\n      \"id\": \"stat_8ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    },\n    {\n      \"id\": \"stat_3ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    },\n    {\n      \"id\": \"stat_2ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    },\n    {\n      \"id\": \"stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    }\n  ],\n  \"name\": \"New Name\"\n}")
  .asString();
```

```php organizations_update_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.close.com/api/v1/organization/id/', [
  'body' => '{
  "currency": "USD",
  "lead_statuses": [
    {
      "id": "stat_8ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk"
    },
    {
      "id": "stat_3ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk"
    },
    {
      "id": "stat_2ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk"
    },
    {
      "id": "stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk"
    }
  ],
  "name": "New Name"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp organizations_update_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/organization/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.PUT);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"currency\": \"USD\",\n  \"lead_statuses\": [\n    {\n      \"id\": \"stat_8ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    },\n    {\n      \"id\": \"stat_3ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    },\n    {\n      \"id\": \"stat_2ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    },\n    {\n      \"id\": \"stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk\"\n    }\n  ],\n  \"name\": \"New Name\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```